Subject: Re: bug#59982: 29.0.60; Can not find info when I install package with package-vc-install

From: Philip Kaludercic <[email-masked]>
Date: Fri, 16 Dec 2022 19:16:58 +0000

Feng Shu <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> Feng Shu <[email-masked]> writes:
>>
>>> Philip Kaludercic <[email-masked]> writes:
>>>
>>>> Feng Shu <[email-masked]> writes:
>>>>
>>>>> When I install emacs-eat with package-vc-info, I find that I can not
>>>>> read info of emacs-eat with info command.
>>>>
>>>> I assume you mean `package-vc-install' (as you mentioned in the
>>>> subject).
>>>>
>>>>> I check eat install dir, and find the file eat.info and eat.texi.
>>>>>
>>>>> ```
>>>>>   /home/feng/.emacs.d/elpa-29/eat:
>>>>>   总用量 1776
>>>>>   drwxr-xr-x  6 feng feng   4096 12月 12 08:28 .
>>>>>   drwxr-xr-x 81 feng feng   8192 12月  8 08:30 ..
>>>>>   -rw-r--r--  1 feng feng  25718 12月 12 08:28 ChangeLog
>>>>>   -rw-r--r--  1 feng feng  10475 12月  2 16:14 CONTRIBUTE
>>>>>   -rw-r--r--  1 feng feng  35149 12月  2 16:14 COPYING
>>>>>   -rw-r--r--  1 feng feng    600 12月 12 08:28 dir
>>>>>   -rw-r--r--  1 feng feng    237 12月  2 16:14 .dir-locals.el
>>>>>   drwxr-xr-x  2 feng feng     80 12月  2 16:14 e
>>>>>   -rw-r--r--  1 feng feng   3743 12月 12 08:28 eat-autoloads.el
>>>>>   -rw-r--r--  1 feng feng 251774 12月 12 08:28 eat.el
>>>>>   -rw-r--r--  1 feng feng 333492 12月 12 08:28 eat.elc
>>>>>   -rw-r--r--  1 feng feng 119891 12月 12 08:28 eat.info
>>>>>   -rw-r--r--  1 feng feng    435 12月 12 08:28 eat-pkg.el
>>>>>   -rw-r--r--  1 feng feng 243305 12月  7 10:19 eat-tests.el
>>>>>   -rw-r--r--  1 feng feng 206236 12月 12 08:28 eat-tests.elc
>>>>>   -rw-r--r--  1 feng feng  42895 12月 12 08:28 eat.texi
>>>>>   -rw-r--r--  1 feng feng   3645 12月  2 16:14 eat.ti
>>>>>   -rw-r--r--  1 feng feng     80 12月  2 16:14 .elpaignore
>>>>>   -rw-r--r--  1 feng feng  23434 12月  2 16:14 fdl.texi
>>>>>   drwxr-xr-x  8 feng feng   4096 12月 12 08:28 .git
>>>>>   -rw-r--r--  1 feng feng    100 12月 12 08:28 .gitignore
>>>>>   -rwxr-xr-x  1 feng feng  17083 12月  2 16:14 gitlog-to-changelog
>>>>>   -rw-r--r--  1 feng feng  35089 12月  2 16:14 gpl.texi
>>>>>   drwxr-xr-x  2 feng feng     18 12月 12 08:28 integration
>>>>>   -rwxr-xr-x  1 feng feng   1388 12月  2 16:14 make-changelog
>>>>>   -rw-r--r--  1 feng feng   1598 12月  2 16:14 Makefile
>>>>>   -rw-r--r--  1 feng feng   1160 12月  2 16:14 NEWS
>>>>>   -rw-r--r--  1 feng feng   5819 12月 12 08:28 README.org
>>>>>   drwxr-xr-x  2 feng feng     35 12月 12 08:28 term
>>>>>   -rw-r--r--  1 feng feng 376807 12月  2 16:14 texinfo.tex
>>>>>
>>>>> ```
>>>>
>>>> This looks pretty similar to the results on my own system, I also have a
>>>> eat.info file that is 119891 byte large.  What I noticed though is that
>>>> if I had an info root node buffer lying around, the buffer wasn't
>>>> updated so I had to kill and re-create it.
>>>>
>>>> Installing eat using package-install appears to give me a eat.info byte
>>>> large file, but that might just be a different version of the manual.
>>>> Otherwise it behaves the same -- the important part is that just
>>>> installing a package and downloading it using
>>>> package-vc-install/checkout gives us the same layout.  The manual
>>>> "activation" is still handled by package.el.
>>>
>>> I do not know about info command, so I do not know this is eat's bug or
>>> package-vc's bug :-)
>>
>> Are you using info from within a terminal or inside of Emacs?  Perhaps
>> you could share the contents of `Info-directory-list', that should
>> indicate if package.el is doing it's job.  As I said, the above makes it
>> seem like it wasn't package-vc's fault, and eat appears to work fine on
>> my machine.
>
> Today, I try again, info cmd can find eat.info now, I do not know
> why. maybe I have updated emacs and eat.

In that case I'll close the report, and assume it was a temporary or
unrelated mistake.  If you do figure out what happened, just update this
thread.